<?php

namespace App\Http\Requests\Costos;

use Illuminate\Foundation\Http\FormRequest;

class UpdateCostos extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'id_tipo_costo' => ['int'],
            'id_marca_plaza' => ['int'],
            'costo' => ['numeric', 'regex:/^\d+(\.\d{1,2})?$/'],
            'descripcion' => ['string', 'max:150'],
        ];
    }
}
